// Code generated by go-swagger; DO NOT EDIT.

package dashboard

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*DashboardGetDefault An unexpected error response

swagger:response dashboardGetDefault
*/
type DashboardGetDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewDashboardGetDefault creates DashboardGetDefault with default headers values
func NewDashboardGetDefault(code int) *DashboardGetDefault {
	if code <= 0 {
		code = 500
	}

	return &DashboardGetDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the dashboard get default response
func (o *DashboardGetDefault) WithStatusCode(code int) *DashboardGetDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the dashboard get default response
func (o *DashboardGetDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the dashboard get default response
func (o *DashboardGetDefault) WithPayload(payload *models.Error) *DashboardGetDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the dashboard get default response
func (o *DashboardGetDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *DashboardGetDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
